<!--
  Generated template for the FormIsiResepPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon style="color:white" name="menu"></ion-icon>
    </button>
    <ion-title style="color:white">Form Resep</ion-title>
  </ion-navbar>
</ion-header>


<ion-content padding style="background-color: #f7f69e">
    <form [formGroup]="resepForm" (ngSubmit)="onSubmit()">
        <!--
        <label>Nama</label>  
        <input type="text" placeholder ="nama"/>
      -->
    
         <ion-label fixed>Tanggal Resep</ion-label>
         <ion-input type="date" style="background-color:white; border:1px solid #c0c0c0" formControlName="created_at"> </ion-input>
    
         <ion-list style="margin-top:10px; margin-bottom:10px;">
            <ion-label>Apoteker</ion-label>
            <ion-item style=" border:1px solid #c0c0c0">
              <ion-select  style="display:block; max-width:100%; background:#ffffff; float:right" formControlName="pharmacist_id">
                  <ion-option [value]="d.id" *ngFor="let d of pharmacistsData">{{d.name}}</ion-option>
              </ion-select>
            </ion-item>
         </ion-list>
    
         <ion-list style="margin-top:10px; margin-bottom:10px">
            <ion-label>Pasien</ion-label>
            <ion-item style=" border:1px solid #c0c0c0">
              <ion-select (ionChange)="onSelectChange($event)" style="display:block; max-width:100%; background:#ffffff;" formControlName="patient_id">
                  <ion-option [value]="d.id" *ngFor="let d of patientsData">{{d.name}}</ion-option>
              </ion-select>
            </ion-item>
         </ion-list>
         
        <ion-label fixed>Umur</ion-label>
        <ion-input type="number" style="background-color:white; border:1px solid #c0c0c0" formControlName="patient_age"> </ion-input>
    
        <ion-label fixed>Penyakit</ion-label>
        <ion-textarea  style="background-color:white; padding-top:2px; border:1px solid #c0c0c0" rows="4" formControlName="description"> </ion-textarea>
    
        <button type="submit"
          block [disabled]="!resepForm.valid"
          style=" font-size:32px; height:50px; width:100%; color: #ffffff; background-color: #38e09f; margin-top:1em; margin-right:0" >
          Lanjut
        </button>
        
      </form> 
</ion-content>

